### Method

# Gsk Pathget_bounds

since: 4.14

#### Declaration [src]

    gboolean
    gsk_path_get_bounds (
      GskPath* self,
      graphene_rect_t* bounds
    )

#### Description [src]

Computes the bounds of the given path.

The returned bounds may be larger than necessary, because this function aims to be fast, not accurate. The bounds are guaranteed to contain the path.

It is possible that the returned rectangle has 0 width and/or height. This can happen when the path only describes a point or an axis-aligned line.

If the path is empty, `FALSE` is returned and `bounds` are set to graphene_rect_zero(). This is different from the case where the path is a single point at the origin, where the `bounds` will also be set to the zero rectangle but `TRUE` will be returned.

Available since: 4.14

#### Parameters

`bounds`

  Type: `graphene_rect_t`

  The bounds of the given path.

  The argument will be set by the function.
  The data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if the path has bounds, `FALSE` if the path is known to be empty and have no bounds.